Name:          numactl
Version:       2.0.19
Release:       1mamba
Summary:       Simple NUMA policy support
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/numactl
Source:        https://github.com/numactl/numactl.git/v%{version}/numactl-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libatomic-devel
## AUTOBUILDREQ-END
Requires:      libnuma = %{?epoch:%epoch:}%{version}-%{release}

%description
Simple NUMA policy support.

%package -n libnuma
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n libnuma
This package contains shared libraries for %{name}.

%package -n libnuma-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      libnuma = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n libnuma-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q
./autogen.sh

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

rm -f %{buildroot}%{_mandir}/man2/move_pages.2*

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%{_bindir}/memhog
%{_bindir}/migratepages
%{_bindir}/migspeed
%{_bindir}/numactl
%{_bindir}/numademo
%{_bindir}/numastat
%{_mandir}/man8/memhog.8*
%{_mandir}/man8/migratepages.8*
%{_mandir}/man8/migspeed.8*
%{_mandir}/man8/numactl.8*
%{_mandir}/man8/numastat.8*
%doc LICENSE.GPL2

%files -n libnuma
%defattr(-,root,root)
%{_libdir}/libnuma.so.*
%doc LICENSE.LGPL2.1

%files -n libnuma-devel
%defattr(-,root,root)
%{_includedir}/numa.h
%{_includedir}/numacompat1.h
%{_includedir}/numaif.h
%{_libdir}/libnuma.a
%{_libdir}/libnuma.so
%{_libdir}/pkgconfig/numa.pc
%{_mandir}/man3/numa.3*
%doc README.md


%changelog
* Fri Oct 25 2024 Automatic Build System <autodist@openmamba.org> 2.0.19-1mamba
- automatic version update by autodist

* Thu Feb 08 2024 Automatic Build System <autodist@openmamba.org> 2.0.18-1mamba
- automatic version update by autodist

* Thu Jan 18 2024 Automatic Build System <autodist@openmamba.org> 2.0.17-1mamba
- automatic version update by autodist

* Wed Oct 05 2022 Automatic Build System <autodist@mambasoft.it> 2.0.16-1mamba
- automatic version update by autodist

* Sat Sep 10 2022 Automatic Build System <autodist@mambasoft.it> 2.0.15-1mamba
- automatic version update by autodist

* Fri Sep 18 2020 Automatic Build System <autodist@mambasoft.it> 2.0.14-1mamba
- automatic version update by autodist

* Sun Jun 21 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.13-1mamba
- package created using the webbuild interface
